logging-log4j-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Curt Arnold <carn...@apache.org>
Subject Re: 1.2.16 with broken OSGi Import-Package?
Date Fri, 09 Jul 2010 02:46:52 GMT
There was a duplicated package in the import declarations which caused the manifest to be rejected.
 It should be fixed in the SVN HEAD.


On Jul 8, 2010, at 6:18 AM, Lars Fischer wrote:

> Hello,
> 
> I would like to use log4j 1.2.16 inside an eclipse OSGi project and
> tried to add the log4j-1.2.16.jar to my target platform.
> But the jar is not recognized as OSGi bundle.
> 
> I discovered, that the reason is a doubled "Import-Package" entry of
> "com.sun.jdmk.comm;resolution:=optional" in the MANIFEST.MF. This
> prevents the jar from being loaded into the target platform. :(
> 
> I can remove one of the entries by hand. With this change the jar can
> be added. But this is no good solution for me.
> 
> Could someone confirm that this is a bug in 1.2.16?
> 
> Kind regards,
> Lars
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: log4j-user-unsubscribe@logging.apache.org
> For additional commands, e-mail: log4j-user-help@logging.apache.org
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: log4j-user-unsubscribe@logging.apache.org
For additional commands, e-mail: log4j-user-help@logging.apache.org


Mime
View raw message